## org.biojava.bio.symbol
Class SimpleAtomicSymbol

    java.lang.Object
      |
      +--org.biojava.bio.symbol.SimpleAtomicSymbol

Direct Known Subclasses:
  SimpleDotState, SimpleModelInState

public class SimpleAtomicSymbol
extends java.lang.Object
implements AtomicSymbol

A no-frills implementation of AtomicSymbol.

Author:
  Matthew Pocock

Constructor Summary
`SimpleAtomicSymbol(char token, java.lang.String name, Annotation annotation)`

Method Summary
`Annotation` `getAnnotation()` Should return the associated annotation object.
`Alphabet` `getMatches()` Return an alphabet containing only this symbol.
`java.lang.String` `getName()` The long name for the symbol.
`char` `getToken()` The token for the symbol.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleAtomicSymbol

    public SimpleAtomicSymbol(char token,
                              java.lang.String name,
                              Annotation annotation)

Method Detail

### getToken

    public char getToken()

  Description copied from interface: Symbol
  The token for the symbol.
  Tags copied from interface: Symbol
  Returns:
    the token

### getName

    public java.lang.String getName()

  Description copied from interface: Symbol
  The long name for the symbol.
  Tags copied from interface: Symbol
  Returns:
    the long name

### getAnnotation

    public Annotation getAnnotation()

  Description copied from interface: Annotatable
  Should return the associated annotation object.
  Tags copied from interface: Annotatable
  Returns:
    an Annotation object, never null

### getMatches

    public Alphabet getMatches()

  Description copied from interface: AtomicSymbol
  Return an alphabet containing only this symbol.
  Specified by:
    getMatches in interface AtomicSymbol
  Tags copied from interface: Symbol
  Returns:
    the Alphabet of symbols matched by this symbol